StarObjectSmallGraphicInternal::GluePoint Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::GluePoint Class Reference

Internal: virtual class to store a glue point. More...

## Public Member Functions
| GluePoint (int x=0, int y=0)
| constructor

## Public Attributes
STOFFVec2i | m_dimension
| the dimension
int | m_direction
| the esc direction
int | m_id
| the id
int | m_align
| the alignment
bool | m_percent
| a flag to know if this is percent

## Friends
std::ostream & | operator<< (std::ostream &o, GluePoint const &pt)
| operator<<

## Detailed Description

Internal: virtual class to store a glue point.

## Constructor & Destructor Documentation

## ◆ GluePoint()

StarObjectSmallGraphicInternal::GluePoint::GluePoint | ( | int | x = 0,
|  | int | y = 0 )
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | GluePoint const & | pt )
| friend

operator<<

## Member Data Documentation

## ◆ m_align

int StarObjectSmallGraphicInternal::GluePoint::m_align

the alignment

Referenced by GluePoint(), operator<<, and StarObjectSmallGraphic::readSDRGluePoint().

## ◆ m_dimension

STOFFVec2i StarObjectSmallGraphicInternal::GluePoint::m_dimension

the dimension

Referenced by GluePoint(), operator<<, and StarObjectSmallGraphic::readSDRGluePoint().

## ◆ m_direction

int StarObjectSmallGraphicInternal::GluePoint::m_direction

the esc direction

Referenced by GluePoint(), operator<<, and StarObjectSmallGraphic::readSDRGluePoint().

## ◆ m_id

int StarObjectSmallGraphicInternal::GluePoint::m_id

the id

Referenced by GluePoint(), operator<<, and StarObjectSmallGraphic::readSDRGluePoint().

## ◆ m_percent

bool StarObjectSmallGraphicInternal::GluePoint::m_percent

a flag to know if this is percent

Referenced by GluePoint(), operator<<, and StarObjectSmallGraphic::readSDRGluePoint().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx